## vdr-plugin-streamdev 0.6.1+git20180514

=== tools/Makefile ===
#
# Makefile for a Video Disk Recorder plugin
#
# $Id: Makefile,v 1.2 2010/07/19 13:49:44 schmirl Exp $

### The object files (add further files here):

OBJS = select.o socket.o source.o tools.o

### The main target:

.PHONY: clean
sockettools.a: $(OBJS)
	ar -rcs sockettools.a $(OBJS) 

### Implicit rules:

%.o: %.c 
	$(CXX) $(CXXFLAGS) -c $(DEFINES) $(INCLUDES) -o $@ $<

### Dependencies:

MAKEDEP = $(CXX) -MM -MG
DEPFILE = .dependencies

$(DEPFILE): Makefile
	@$(MAKEDEP) $(DEFINES) $(INCLUDES) $(OBJS:%.o=%.c) > $@

-include $(DEPFILE)

### Targets:

clean:
	@-rm -f $(OBJS) $(DEPFILE) *.a core* *~

=== debian/changelog ===
vdr-plugin-streamdev (0.6.1+git20180514-5) unstable; urgency=medium

  * Build-depend on vdr 2.6.0 and update standards version to 4.6.0
  * Remove Peter Siering, Thomas Günther and Thomas Schmidt from uploaders
  * Fix build with VDR 2.6.0 (Closes: #1003309)

 -- Tobias Grimm <etobi@debian.org>  Wed, 12 Jan 2022 19:47:13 +0100

vdr-plugin-streamdev (0.6.1+git20180514-4) unstable; urgency=medium

  [ Helmut Grohne ]
  * Fix FTCBFS: Use the host architecture pkg-config. (Closes: #933082)

  [ Tobias Grimm ]
  * Depend on debhelper-compat (= 13)
  * Build-Depend on vdr >= 2.4.7
  * Update debian/watch to version 4

 -- Tobias Grimm <etobi@debian.org>  Wed, 15 Dec 2021 18:51:51 +0100

vdr-plugin-streamdev (0.6.1+git20180514-3) unstable; urgency=medium

  * Standards-Version: 4.4.1

 -- Tobias Grimm <etobi@debian.org>  Fri, 01 Nov 2019 14:58:48 +0100

vdr-plugin-streamdev (0.6.1+git20180514-2) unstable; urgency=medium

  * Build-depend on vdr-dev >= 2.4.1

 -- Tobias Grimm <etobi@debian.org>  Sat, 20 Jul 2019 06:09:21 +0200

vdr-plugin-streamdev (0.6.1+git20180514-1) unstable; urgency=medium

  * New Upstream Snapshot (commit e2a9b97)
  * Dropped vdr-2.3.7.patch - fixed upstream
  * Added patch to fix potential locking issue encountered on RaspberryPi

 -- Tobias Grimm <etobi@debian.org>  Mon, 14 May 2018 19:20:43 +0200

=== debian/control ===
Source: vdr-plugin-streamdev
Section: video
Priority: optional
Maintainer: Debian VDR Team <pkg-vdr-dvb-devel@lists.alioth.debian.org>
Uploaders: Tobias Grimm <etobi@debian.org>
Build-Depends: debhelper-compat (= 13), vdr-dev (>= 2.6.0), gettext, pkg-config
Standards-Version: 4.6.0
Homepage: http://streamdev.vdr-developer.org
Vcs-Git: https://salsa.debian.org/vdr-team/vdr-plugin-streamdev.git
Vcs-Browser: https://salsa.debian.org/vdr-team/vdr-plugin-streamdev

Package: vdr-plugin-streamdev-client
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${vdr:Depends}
Description: VDR Plugin to stream Live-TV to other VDR's - client part 
 This plugin for vdr lets the software stream videos into
 the network. You can interconnect several vdrs that way
 or watch those streams with special client apps like video
 lan client or mplayer. This is the client part.
Vcs-Git: https://salsa.debian.org/vdr-team/vdr-plugin-streamdev.git
Vcs-Browser: https://salsa.debian.org/vdr-team/vdr-plugin-streamdev

Package: vdr-plugin-streamdev-server
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${vdr:Depends}
Description: VDR Plugin to stream Live-TV to other VDR's - server part 
 This plugin for vdr lets the software stream videos into
 the network. You can interconnect several vdrs that way
 or watch those streams with special client apps like video
 lan client or mplayer. This is the server part.

=== debian/watch ===
version=4
http://projects.vdr-developer.org/projects/plg-streamdev/files .*/vdr-streamdev-(.*)\.tgz

## vdr-plugin-streamdev 0.6.4

=== Makefile ===
#
# Makefile for a Video Disk Recorder plugin
#

# The official name of this plugin.
# This name will be used in the '-P...' option of VDR to load the plugin.
# By default the main source file also carries this name.

PLUGIN = streamdev

### The version number of this plugin (taken from the main source file):

VERSION = $(shell grep 'const char \*VERSION *=' common.c | awk '{ print $$5 }' | sed -e 's/[";]//g')

### The directory environment:

# Use package data if installed...otherwise assume we're under the VDR source directory:
PKGCFG = $(if $(VDRDIR),$(shell pkg-config --variable=$(1) $(VDRDIR)/vdr.pc),$(shell pkg-config --variable=$(1) vdr || pkg-config --variable=$(1) ../../../vdr.pc))
LIBDIR = $(call PKGCFG,libdir)
LOCDIR = $(call PKGCFG,locdir)
PLGCFG = $(call PKGCFG,plgcfg)
#
TMPDIR ?= /tmp

### The compiler options:

export CFLAGS   = $(call PKGCFG,cflags)
export CXXFLAGS = $(call PKGCFG,cxxflags)

### The version number of VDR's plugin API:

APIVERSION = $(call PKGCFG,apiversion)

### Allow user defined options to overwrite defaults:

-include $(PLGCFG)

### export all vars for sub-makes, using absolute paths
LIBDIR := $(shell cd $(LIBDIR) >/dev/null 2>&1 && pwd)
LOCDIR := $(shell cd $(LOCDIR) >/dev/null 2>&1 && pwd)
export
unexport PLUGIN

### The name of the distribution archive:

ARCHIVE = $(PLUGIN)-$(VERSION)
PACKAGE = vdr-$(ARCHIVE)

### Includes and Defines (add further entries here):

INCLUDES += -I$(VDRDIR)/include -I..
export INCLUDES

DEFINES += -D_GNU_SOURCE

ifdef DEBUG
DEFINES += -DDEBUG
endif
ifdef STREAMDEV_DEBUG
DEFINES += -DDEBUG
endif

### The main target:

.PHONY: all client server install install-client install-server dist clean
all: client server

### Targets:

client:
	$(Q)$(MAKE) --no-print-directory -C ./tools
	$(Q)$(MAKE) --no-print-directory -C ./client

server:
	$(Q)$(MAKE) --no-print-directory -C ./tools
	$(Q)$(MAKE) --no-print-directory -C ./libdvbmpeg
	$(Q)$(MAKE) --no-print-directory -C ./remux
	$(Q)$(MAKE) --no-print-directory -C ./server

install-client: client
	$(Q)$(MAKE) --no-print-directory -C ./client install
	$(Q)# installs to $(LIBDIR)/libvdr-streamdev-client.so.$(APIVERSION)

install-server: server
	$(Q)$(MAKE) --no-print-directory -C ./server install
	$(Q)# installs to $(LIBDIR)/libvdr-streamdev-server.so.$(APIVERSION)

install: install-client install-server

dist: clean
	@-rm -rf $(TMPDIR)/$(ARCHIVE)
	@mkdir $(TMPDIR)/$(ARCHIVE)
	@cp -a * $(TMPDIR)/$(ARCHIVE)
	@tar czf $(PACKAGE).tgz -C $(TMPDIR) $(ARCHIVE)
	@-rm -rf $(TMPDIR)/$(ARCHIVE)
	@echo Distribution package created as $(PACKAGE).tgz

clean:
	$(Q)$(MAKE) --no-print-directory -C ./tools clean
	$(Q)$(MAKE) --no-print-directory -C ./libdvbmpeg clean
	$(Q)$(MAKE) --no-print-directory -C ./remux clean
	$(Q)$(MAKE) --no-print-directory -C ./client clean
	$(Q)$(MAKE) --no-print-directory -C ./server clean

=== client/Makefile ===
#
# Makefile for a Video Disk Recorder plugin
#

# The official name of this plugin.
# This name will be used in the '-P...' option of VDR to load the plugin.
# By default the main source file also carries this name.

PLUGIN = streamdev-client

### The name of the shared object file:

SOFILE = libvdr-$(PLUGIN).so

### Includes and Defines (add further entries here):

DEFINES += -DPLUGIN_NAME_I18N='"$(PLUGIN)"'

### The object files (add further files here):

COMMONOBJS = ../common.o

CLIENTOBJS = $(PLUGIN).o \
	device.o filter.o setup.o socket.o
	
### The main target:

all: $(SOFILE) i18n

### Implicit rules:

%.o: %.c
	@echo CC client/ $@
	$(Q)$(CXX) $(CXXFLAGS) -c $(DEFINES) $(INCLUDES) -o $@ $<

### Dependencies:

MAKEDEP = $(CXX) -MM -MG
DEPFILE = .dependencies
$(DEPFILE): Makefile
	@$(MAKEDEP) $(CXXFLAGS) $(DEFINES) $(INCLUDES) $(CLIENTOBJS:%.o=%.c) $(COMMONOBJS:%.o=%.c) > $@

-include $(DEPFILE)

### Internationalization (I18N):

PODIR     = po
I18Npo    = $(wildcard $(PODIR)/*.po)
I18Nmo    = $(addsuffix .mo, $(foreach file, $(I18Npo), $(basename $(file))))
I18Nmsgs  = $(addprefix $(DESTDIR)$(LOCDIR)/, $(addsuffix /LC_MESSAGES/vdr-$(PLUGIN).mo, $(notdir $(foreach file, $(I18Npo), $(basename $(file))))))
I18Npot   = $(PODIR)/$(PLUGIN).pot

%.mo: %.po
	@echo MO client/ $@
	$(Q)msgfmt -c -o $@ $<

$(I18Npot): $(CLIENTOBJS:%.o=%.c)
	@echo GT client/ $@
	$(Q)xgettext -C -cTRANSLATORS --no-wrap --no-location -k -ktr -ktrNOOP --package-name=vdr-$(PLUGIN) --package-version=$(VERSION) --msgid-bugs-address='<vdrdev@schmirler.de>' -o $@ `ls $^`

%.po: $(I18Npot)
	@echo PO client/ $@
	$(Q)msgmerge -U --no-wrap --no-location --backup=none -q -N $@ $<
	@touch $@

$(I18Nmsgs): $(DESTDIR)$(LOCDIR)/%/LC_MESSAGES/vdr-$(PLUGIN).mo: $(PODIR)/%.mo
	@echo IN client/ $@
	$(Q)install -D -m644 $< $@

.PHONY: i18n
i18n: $(I18Nmo) $(I18Npot)

install-i18n: $(I18Nmsgs)

### Targets:

$(SOFILE): $(CLIENTOBJS) $(COMMONOBJS) ../tools/sockettools.a
	@echo LD client/ $@
	$(Q)$(CXX) $(CXXFLAGS) $(LDFLAGS) -shared $^ -o $@

install-lib: $(SOFILE)
	@echo IN client/ $(DESTDIR)$(LIBDIR)/$^.$(APIVERSION)
	$(Q)install -D $^ $(DESTDIR)$(LIBDIR)/$^.$(APIVERSION)

install: install-lib install-i18n

clean:
	@-rm -f $(PODIR)/*.mo $(PODIR)/*.pot
	@-rm -f $(COMMONOBJS) $(CLIENTOBJS) $(DEPFILE) *.so *.tgz core* *~

=== libdvbmpeg/Makefile ===
#
# Makefile for a Video Disk Recorder plugin
#
# $Id: Makefile,v 1.5 2010/07/30 10:49:28 schmirl Exp $

### The object files (add further files here):

OBJS = ctools.o remux.o ringbuffy.o transform.o

### Disable attribute warn_unused_result

DEFINES += -U_FORTIFY_SOURCE

### The main target:

.PHONY: clean
libdvbmpegtools.a: $(OBJS)
	@echo AR libdvbmpeg/ $@
	$(Q)$(AR) -rcs libdvbmpegtools.a $(OBJS) 

### Implicit rules:

%.o: %.c 
	@echo CC libdvbmpeg/ $@
	$(Q)$(CC) $(CFLAGS) -c $(DEFINES) $(INCLUDES) -o $@ $<

### Dependencies:

MAKEDEP = $(CC) -MM -MG
DEPFILE = .dependencies

$(DEPFILE): Makefile
	@$(MAKEDEP) $(DEFINES) $(INCLUDES) $(OBJS:%.o=%.c) > $@

-include $(DEPFILE)

### Targets:

clean:
	@-rm -f $(OBJS) $(DEPFILE) *.a core* *~

=== remux/Makefile ===
#
# Makefile for a Video Disk Recorder plugin
#

### The object files (add further files here):

OBJS = tsremux.o ts2es.o ts2pes.o ts2ps.o extern.o

### The main target:

.PHONY: clean
remux.a: $(OBJS)
	@echo AR remux/ $@
	$(Q)$(AR) -rcs remux.a $^

### Implicit rules:

%.o: %.c 
	@echo CC remux/ $@
	$(Q)$(CXX) $(CXXFLAGS) -c $(DEFINES) $(INCLUDES) -o $@ $<

### Dependencies:

MAKEDEP = $(CXX) -MM -MG
DEPFILE = .dependencies

$(DEPFILE): Makefile
	@$(MAKEDEP) $(DEFINES) $(INCLUDES) $(OBJS:%.o=%.c) > $@

-include $(DEPFILE)

### Targets:

clean:
	@-rm -f $(OBJS) $(DEPFILE) *.a core* *~

=== server/Makefile ===
#
# Makefile for a Video Disk Recorder plugin
#

# The official name of this plugin.
# This name will be used in the '-P...' option of VDR to load the plugin.
# By default the main source file also carries this name.

PLUGIN = streamdev-server

### The name of the shared object file:

SOFILE = libvdr-$(PLUGIN).so

### Includes and Defines (add further entries here):

DEFINES += -DPLUGIN_NAME_I18N='"$(PLUGIN)"'

### The object files (add further files here):

COMMONOBJS = ../common.o

SERVEROBJS = $(PLUGIN).o \
	server.o component.o connection.o \
	componentVTP.o connectionVTP.o \
	componentHTTP.o connectionHTTP.o menuHTTP.o \
	componentIGMP.o connectionIGMP.o \
	streamer.o livestreamer.o livefilter.o recstreamer.o recplayer.o \
	menu.o suspend.o setup.o
	
### The main target:

all: $(SOFILE) i18n

### Implicit rules:

%.o: %.c
	@echo CC server/ $@
	$(Q)$(CXX) $(CXXFLAGS) -c $(DEFINES) $(INCLUDES) -o $@ $<

### Dependencies:

MAKEDEP = $(CXX) -MM -MG
DEPFILE = .dependencies
$(DEPFILE): Makefile
	@$(MAKEDEP) $(CXXFLAGS) $(DEFINES) $(INCLUDES) $(SERVEROBJS:%.o=%.c) $(COMMONOBJS:%.o=%.c) > $@

-include $(DEPFILE)

### Internationalization (I18N):

PODIR     = po
I18Npo    = $(wildcard $(PODIR)/*.po)
I18Nmo    = $(addsuffix .mo, $(foreach file, $(I18Npo), $(basename $(file))))
I18Nmsgs  = $(addprefix $(DESTDIR)$(LOCDIR)/, $(addsuffix /LC_MESSAGES/vdr-$(PLUGIN).mo, $(notdir $(foreach file, $(I18Npo), $(basename $(file))))))
I18Npot   = $(PODIR)/$(PLUGIN).pot

%.mo: %.po
	@echo MO server/ $@
	$(Q)msgfmt -c -o $@ $<

$(I18Npot): $(SERVEROBJS:%.o=%.c)
	@echo GT server/ $@
	$(Q)xgettext -C -cTRANSLATORS --no-wrap --no-location -k -ktr -ktrNOOP --package-name=vdr-$(PLUGIN) --package-version=$(VERSION) --msgid-bugs-address='<vdrdev@schmirler.de>' -o $@ `ls $^`

%.po: $(I18Npot)
	@echo PO server/ $@
	$(Q)msgmerge -U --no-wrap --no-location --backup=none -q -N $@ $<
	@touch $@

$(I18Nmsgs): $(DESTDIR)$(LOCDIR)/%/LC_MESSAGES/vdr-$(PLUGIN).mo: $(PODIR)/%.mo
	@echo IN server/ $@
	$(Q)install -D -m644 $< $@

.PHONY: i18n
i18n: $(I18Nmo) $(I18Npot)

install-i18n: $(I18Nmsgs)

### Targets:

$(SOFILE): $(SERVEROBJS) $(COMMONOBJS) \
	../tools/sockettools.a ../remux/remux.a ../libdvbmpeg/libdvbmpegtools.a
	@echo AR server/ $@
	$(Q)$(CXX) $(CXXFLAGS) $(LDFLAGS) -shared $^ -o $@

install-lib: $(SOFILE)
	@echo IN server/ $(DESTDIR)$(LIBDIR)/$^.$(APIVERSION)
	$(Q)install -D $^ $(DESTDIR)$(LIBDIR)/$^.$(APIVERSION)

install: install-lib install-i18n

clean:
	@-rm -f $(PODIR)/*.mo $(PODIR)/*.pot
	@-rm -f $(COMMONOBJS) $(SERVEROBJS) $(DEPFILE) *.so *.tgz core* *~

=== debian/changelog ===
vdr-plugin-streamdev (0.6.4-2) unstable; urgency=medium

  * unstable rebuild

 -- Christoph Martin <martin@uni-mainz.de>  Wed, 05 Feb 2025 13:52:23 +0100

vdr-plugin-streamdev (0.6.4-1) experimental; urgency=medium

  * change to github repo in watch file
  * New upstream version 0.6.4
  * change build-depends on pkg-config to pkgconf
  * add myself to uploaders
  * Standards-Version 4.7.0
  * remove VCS- fields from binary package stanza

 -- Christoph Martin <martin@uni-mainz.de>  Thu, 30 Jan 2025 10:48:06 +0100

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,10 @@
 Section: video
 Priority: optional
 Maintainer: Debian VDR Team <pkg-vdr-dvb-devel@lists.alioth.debian.org>
-Uploaders: Tobias Grimm <etobi@debian.org>
-Build-Depends: debhelper-compat (= 13), vdr-dev (>= 2.6.0), gettext, pkg-config
-Standards-Version: 4.6.0
+Uploaders: Tobias Grimm <etobi@debian.org>,
+  Christoph Martin <martin@uni-mainz.de>
+Build-Depends: debhelper-compat (= 13), vdr-dev (>= 2.6.0), gettext, pkgconf
+Standards-Version: 4.7.0
 Homepage: http://streamdev.vdr-developer.org
 Vcs-Git: https://salsa.debian.org/vdr-team/vdr-plugin-streamdev.git
 Vcs-Browser: https://salsa.debian.org/vdr-team/vdr-plugin-streamdev
@@ -17,8 +18,6 @@
  the network. You can interconnect several vdrs that way
  or watch those streams with special client apps like video
  lan client or mplayer. This is the client part.
-Vcs-Git: https://salsa.debian.org/vdr-team/vdr-plugin-streamdev.git
-Vcs-Browser: https://salsa.debian.org/vdr-team/vdr-plugin-streamdev
 
 Package: vdr-plugin-streamdev-server
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
-include /usr/share/dpkg/buildtools.mk
export PKG_CONFIG ?= pkg-config

%:
	dh $@ --with vdrplugin

=== debian/watch ===
version=4
opts="mode=git, compression=gzip" \
 https://github.com/vdr-projects/vdr-plugin-streamdev.git \
 refs/tags/[Vv]?(\d[\d\.]+) debian uupdate
